Subject: bug#64518: 29.0.92; outline-mode sexp movement commands don't follow outline structure

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Jul 2023 21:19:39 +0300

> From: Spencer Baugh <[email-masked]>
> Date: Fri, 07 Jul 2023 12:21:14 -0400
> 
> 
> Functions like C-M-f (forward-sexp) and C-M-SPC (mark-sexp) are supposed
> to be configured by individual modes to behave in a way appropriate for
> that mode.  But outline-mode does not do this.

outline-mode is not a programming-language mode, so sexp-related
commands make no sense for it.  It is more related to text-mode.

Outline mode and its derivatives already have motion commands that
move in terms of headings and trees/subtrees.  I see no reason to
confuse users with some kind of artificial notion of "sexps" applied
to text.

So I think your feature request is a step in the wrong direction.